Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceNullCommand

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceCommand
  - - com.google.android.exoplayer2.metadata.scte35.SpliceNullCommand

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class SpliceNullCommand
      extends SpliceCommand

  Represents a splice null command as defined in SCTE35, Section 9.3.1.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<SpliceNullCommand>` | `CREATOR` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpliceNullCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.scte35.SpliceCommand

      `describeContents, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### CREATOR

          public static final Parcelable.Creator<SpliceNullCommand> CREATOR

  - ### Constructor Detail

    - #### SpliceNullCommand

          public SpliceNullCommand()

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)